<!--ngSwitch somehow not working right now, going forword with ngIf-->
<div [ngSwitch]="syncStatus">
    <mat-icon *ngSwitchCase="syncStatusType.waitingForNetwork" [@enterTrigger]="'fadeIn'"
        [color]="offlineColor">cloud_off_outlined</mat-icon>
    <mat-progress-spinner *ngSwitchCase="syncStatusType.syncing" [@enterTrigger]="'fadeIn'" class="example-margin"
        [color]="spinnerColor" [mode]="mode" [diameter]="30">
        <!--[value]="value">-->
    </mat-progress-spinner>
    <mat-icon *ngSwitchCase="syncStatusType.synced" [@enterTrigger]="'fadeIn'">cloud_done_outlined</mat-icon>
</div>